---
author:
- Orestis Malaspinas, bureau A401, ISC, HEPIA
title: Quelques cours de la filière ISC de hepia
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

<div align="center">
<video width="640" poster="figs/intro.svg" height="360" controls="true" autoplay="false">
   <source src="videos/malaspinas.mp4" type="video/mp4">
</video>
</div>




:::::::::::::: {.columns}
::: {.column width="40%"}

# Prog. séquentielle en C

Chaîne *BBB* du cours <https://bbb.hesge.ch/b/ore-xff-hkz-poh>

* Débutants: [E. Barthomier, D. Schang, Le C en 20 heures](https://c.developpez.com/cours/20-heures/)
* Moyens: [J. Gustedt, Modern C](https://hal.inria.fr/hal-02383654/document)

---

## [Théorie](prog_seq_c_cours/index.html)

<!-- ### Introduction [PDF](prog_seq_c_cours/intro.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/cours) -->

---

## Exercices

### 20.09.2022: Calendrier, [HTML](prog_seq_c_tp/calendar/index.html), [PDF](prog_seq_c_tp/calendar/calendar.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/calendar/enonce)


:::
::: {.column width="60%"}

# Algo. et structures de données

Chaîne *BBB* du cours  <https://bbb.hesge.ch/b/ore-ydf-yhv-wul>

---

:::
::::::::::::::

---

# Physique appliquée

Chaîne *BBB* du cours  <https://bbb.hesge.ch/b/ore-tsc-9g8-sbm>

---

##  [Polycopié](phys/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/isc_physics), [pdf](phys/cours.pdf)

<!-- ## Exercices sur les Lois de Newton, [HTML](phys/exercices/newton.html), [PDF](phys/exercices/newton.pdf) -->

# Les projets de bachelor passés

## 2022

### [R. Bach, fmpi: An easy-to-use libray using Futhark and MPI to create simple parallel programs](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Bach-575)
### [A. Blancy, HEPIA Virtuel - une plateforme virtuelle pour hepia](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Blancy-578)
### [T. Dagier-Joncour, Simulation de transports publics : l'import de Genève dans A/B street](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Dagier-Joncour-583)
### [D. Fangous, Application d'entraînement pour sportifs et entraîneurs intéractive et modulaire](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Fangous-586)
### [I. N'Hairi, Modélisation de la population du canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/N'Hairi-605)

## 2021

### [B. Coudray, MPI-Futhark : distributed high-performance computing for people](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Coudray-553)
### [J. Jose Goncalves, Générateur statique d'une plateforme d'apprentissage dynamique](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Jose%20Goncalves-556)
### [T. Kaltrachian, GAN's methods for super-resolution on fluid flow simulation](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Kaltrachian-570)


## 2020

### [J. Chétélat, Application de triangulation de points lidar sur le canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Ch%C3%A9telat-495) 
### [L. De Biasi, Inari, Apprentissage par renforcement appliqué au jeu Dota 2](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/De%20biasi-497) 
### [M. El Kharroubi, Cryptographie sur GPU avec le langage Futhark](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/El%20kharroubi-501) 
### [T. Pirkl, Outil de scraping de sites internet](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Pirkl-532), [vidéo](https://www.youtube.com/watch?v=RKho4VPnF58)
### [M. Vachon, Développement d'IHM pour la librairie open source Palabos](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Vachon-537)


## 2019

### [N. Denby, Création d'IHM pour la librairie Palabos](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Denby-449)
### [G. Laurie, Méthode de Boltzmann sur réseau sur GPU en Futhark](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Laurie%20riveros-463)
### [S. Ollquist, Étude et visualisation d'algorithmes de classement de pages Web](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Ollquist-465)
### [A. Vanini, Logiciels et Systèmes complexes](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Vanini-482)


## 2018

### [T. Ibanez, Astéroides avec algorithme génétique](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Ibanez-11), [video](https://dai.ly/x6tosqh)
### [N. Nufer, Construction d'un agent joueur par apprentissage par renforcement](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Nufer-18), [video](https://dai.ly/x6tosqg)

# Cours d'années précédentes

# Mathématiques en technologie de l'information

##  [Polycopié](mti/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info), [pdf](mti/cours.pdf)

##  [Travail pratique: optimisation](mti/tpOptimisation/index.html), [git repo](https://gitedu.hesge.ch/orestis.malaspin/math_tech_info/-/tree/master/travaux_pratiques/tpOptimisation), [pdf](mti/tpOptimisation/tpOptimisation.pdf)

##  [Travail pratique: intégrales](mti/tpIntegrales/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info/-/tree/master/travaux_pratiques/tpIntegrales), [pdf](mti/tpIntegrales/tp_integrales_conv.pdf)

##  [Travail pratique: EDO](mti/tpEdo/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/math_tech_info/tree/master/tpEdo), [pdf](mti/tpEdo/tpEquadiffs.pdf)

# Programmation concurrente (2019-2020)

## [Polycopié](concurrence/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/cours_prog_conc)

# Exercices de programmation concurrente

## TP1: L'ensemble de Julia [PDF](tp_concurrence/julia.pdf), [HTML](tp_concurrence/julia.html)

## TP2: Les threads et verrous [PDF](tp_concurrence/threads.pdf), [HTML](tp_concurrence/threads.html)

## TP3: Structures de données concurrentes [PDF](tp_concurrence/synchro.pdf), [HTML](tp_concurrence/synchro.html)

## TP4: File et workflow [PDF](tp_concurrence/file_workflow.pdf), [HTML](tp_concurrence/file_workflow.html)

## TP5: Variables de condition [PDF](tp_concurrence/variables_condition.pdf), [HTML](tp_concurrence/variables_condition.html)

## Projet: Asteroids [PDF](tp_concurrence/asteroids.pdf), [HTML](tp_concurrence/asteroids.html)

## TP6: Sémaphores [PDF](tp_concurrence/semaphores.pdf), [HTML](tp_concurrence/semaphores.html)

## Projet: Asteroids concurrents [PDF](tp_concurrence/multithreaded_asteroids.pdf), [HTML](tp_concurrence/multithreaded_asteroids.html)

## [Programmation séquentielle en Rust](prog_seq/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/rust)

# Anciens exercices en C (2019-20)

## Tableaux unidimensionnels, [HTML](prog_seq_c_tp/tableaux_unidimensionnels/index.html), [PDF](prog_seq_c_tp/tableaux_unidimensionnels/tableaux_unidimensionnels.pdf), [GFX](prog_seq_c_tp/tableaux_unidimensionnels/gfx_example.tar.gz)

## Les matrices, [HTML](prog_seq_c_tp/matrices_intro/index.html), [PDF](prog_seq_c_tp/matrices_intro/matrices_intro.pdf)

## Les chaînes de caractères, [HTML](prog_seq_c_tp/chaines_caracteres/index.html), [PDF](prog_seq_c_tp/chaines_caracteres/chaines_caracteres.pdf)

## Traitement d'images, [HTML](prog_seq_c_tp/transformations/index.html), [PDF](prog_seq_c_tp/transformations/transformations.pdf)

## Vector, [HTML](prog_seq_c_tp/vector/index.html), [PDF](prog_seq_c_tp/vector/vector.pdf)

## Fichier LAS, [HTML](prog_seq_c_tp/lidar/index.html), [PDF](prog_seq_c_tp/lidar/read.pdf)

## Fichier STL, [HTML](prog_seq_c_tp/stl/index.html), [PDF](prog_seq_c_tp/stl/stl.pdf)

## List-Vector, [HTML](prog_seq_c_tp/lst_vector/index.html), [PDF](prog_seq_c_tp/lst_vector/linked_vector.pdf)

## Delaunay, [HTML](prog_seq_c_tp/delaunay/index.html), [PDF](prog_seq_c_tp/delaunay/delaunay.pdf)

## TP noté 2: triangulation, [HTML](prog_seq_c_tp/lidar_triangulation/index.html), [PDF](prog_seq_c_tp/lidar_triangulation/triangulation.pdf)

## Code Morse, [HTML](prog_seq_c_tp/morse/index.html), [PDF](prog_seq_c_tp/morse/morse.pdf)

## Arbres quaternaires, [HTML](prog_seq_c_tp/quadtree/index.html), [PDF](prog_seq_c_tp/quadtree/quadtree.pdf)

## File de priorité, [HTML](prog_seq_c_tp/priority_queue/index.html), [PDF](prog_seq_c_tp/priority_queue/linked_list.pdf)

## Graphes, [HTML](prog_seq_c_tp/shortest_path/graphes.html), [PDF](prog_seq_c_tp/shortest_path/graphes.pdf), [xml_parser.h](prog_seq_c_tp/shortest_path/xml_parser.h), [xml_parser.c](prog_seq_c_tp/shortest_path/xml_parser.c), [main.c](prog_seq_c_tp/shortest_path/main.c), [villes.xml](prog_seq_c_tp/shortest_path/villes.xml), [suisse.txt](prog_seq_c_tp/shortest_path/suisse.txt)

## Floyd-Dijkstra, [HTML](prog_seq_c_tp/shortest_path/df.html), [PDF](prog_seq_c_tp/shortest_path/df.pdf), [squelette.c](prog_seq_c_tp/shortest_path/squelette/c/main.c), [Makefile](prog_seq_c_tp/shortest_path/squelette/c/Makefile), [commandes_a_tester.txt](prog_seq_c_tp/shortest_path/squelette/commandes_de_test/cmd_a_tester.txt), [output](prog_seq_c_tp/shortest_path/squelette/results_out/output)

## Tests, [HTML](prog_seq_c_tp/shortest_path/test.html), [PDF](prog_seq_c_tp/shortest_path/test.pdf)

# Exercices programmation séquentielle en Rust (2018-19)

## TP1 Rust: Nombre secret, [HTML](prog_seq/exercices/01_nombre_secret/), [PDF](prog_seq/exercices/01_nombre_secret/index.pdf)
## TP2 Rust: Calcul de $\pi$, [HTML](prog_seq/exercices/02_calcul_pi/), [PDF](prog_seq/exercices/02_calcul_pi/index.pdf)
## TP3 Rust: Tableaux, [HTML](prog_seq/exercices/03_tableaux/), [PDF](prog_seq/exercices/03_tableaux/index.pdf)
## TP4 Rust: Couverture de la reine, [HTML](prog_seq/exercices/04_reine/), [PDF](prog_seq/exercices/04_reine/index.pdf)
## TP5 Rust: Puissance 4, [HTML](prog_seq/exercices/05_puissance4/), [PDF](prog_seq/exercices/05_puissance4/index.pdf)
## TP6 Rust: Listes, [HTML](prog_seq/exercices/06_listes/), [PDF](prog_seq/exercices/06_listes/index.pdf)
## TP7 Rust: Reed-Solomon, [HTML](prog_seq/exercices/07_reed_solomon/index.html), [PDF](prog_seq/exercices/07_reed_solomon/index.pdf)
## TP8 Rust: Transformation d'images, [HTML](prog_seq/exercices/08_transformation_images/index.html), [PDF](prog_seq/exercices/08_transformation_images/index.pdf)
## TP9 Rust: Problème du voyageur de commerce, [HTML](prog_seq/exercices/09_voyageur_commerce/index.html), [PDF](prog_seq/exercices/09_voyageur_commerce/index.pdf)
